SDL TRADOS STUDIO 2014 NOT SUPPORTED ANYMORE!


CLS Communication will upgrade its TM server to SDL Groupshare 2017 at the end of September.

Please note that SDL Trados Studio 2014 and older versions are not supported by SDL anymore. Therefore, if you are still using SDL Trados Studio 2014 or an older version and want to keep on working with Lionbridge/CLS Communication, you will need to upgrade to SDL Trados Studio 2015 or 2017 before the end of September.

Additionally, please update your Service Partner Portal with the Trados Studio version you are currently using: Profile>Technical Information>Translation Packages.

If you would like to purchase or upgrade to SDL Trados Studio 2015 or 2017, you can take advantage of the 30% discount that we have agreed with SDL. For more information, please contact SDL directly. All European vendors need to e-mail lsp.team@sdl.com. All other vendors will need to contact sgraziosi@sdl.com   

Should you have any technical question related to a Studio product (installation, upgrade, running the software), please contact the SDL support team.

For any questions related to the daily production (Studio packages received from PMs, access to TMs/termbases, connection to CLS server...), please contact the Project Manager responsible for your project.